CollectionsDirect DebitAuthorizations

Get a Direct Debit Authorization

GET
/v1/direct-debit-authorizations/{id}

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Path Parameters

id*string

Response Body

*/*

application/json

curl -X GET "https://example.com/v1/direct-debit-authorizations/string"

An approved eGIRO authorization. payerAuthorizedMaxAmount is the cap the payer set at their bank.

{
  "id": "dda_0J7Q6A3M8V5X1",
  "billReferenceNumber": "A0012334455",
  "payerSwiftBic": "DBSSSGSGXXX",
  "payerBankCode": null,
  "payerSegment": "RETAIL",
  "payerName": "Richard Hendricks",
  "payerBankAccountNumber": "0052312891",
  "payerIdHash": "a3f0d8331c9d860aa685df22501d",
  "payerIdType": "NRIC",
  "status": "SUCCEEDED",
  "failureReason": null,
  "underlyingErrorMessage": null,
  "startDate": "2026-09-09",
  "precheckMinAmount": null,
  "precheckMaxAmount": 100000,
  "precheckCurrency": "SGD",
  "maxAmount": 100000,
  "maxAmountCurrency": "SGD",
  "payerAuthorizedMaxAmount": 100000,
  "endDate": "2042-04-24",
  "authorizeUrl": null,
  "cancelUrl": null,
  "returnUrl": "https://example.com/return",
  "cancelReturnUrl": null,
  "transactionReference": "EG2026090900012345",
  "createdAt": "2026-09-09T02:10:11.204118Z",
  "updatedAt": "2026-09-09T02:13:42.318189Z"
}